

.author-box {
	display: flex;
	align-items: center;
	gap: 10px;
	font-size: 14px;
	width: fit-content;
	margin-bottom: 1rem;
}

.author-avatar-wrapper {
	position: relative;
	width: 48px;
	height: 48px;
}

.author-avatar-wrapper .author-avatar {
	width: 100%;
	height: auto;
	border-radius: 50%;
}


.author-details {
	display: flex;
	flex-direction: column;
	justify-content: center;
	gap: 8px;
}

.author-name {
	font-weight: bold;
	line-height: 1;
}

.publish-date {
	font-size: 12px;
	line-height: 1;
}


.share-buttons {
	display: flex;
	gap: 10px;
	justify-content: flex-end;
}

.share-btn {
	display: flex;
	padding: 11px 16px;
	justify-content: center;
	align-items: center;
	gap: var(--spacing-md, 8px);
	background: var(--PS-Secondary, #00ECAD);
	color: var(--Component-colors-Components-Buttons-Primary-button-primary-fg, #000);
	font-size: 15px;
	font-style: normal;
	font-weight: 600;
	line-height: 1; /* 117.647% */
	cursor: pointer;
	transition: all 0.2s ease;
	border: 0;
}

.share-btn:hover {
	background: #00ECAD96;
}

.share-btn img.icon {
	width: 20px;
	height: 20px;
	object-fit: contain;
}

.pagination-wrapper {
    display: flex;
    padding-top: 20px;
    justify-content: center;
    align-items: center;
    gap: 12px;
    align-self: stretch;
    border-top: 1px solid var(--Gray-200, #E9EAEB);
}

.pagination-prev-wrapper,
.pagination-next-wrapper {
    display: flex;
    align-items: center;
    flex: 1 0 0;
    font-family: var(--MES-Font, Rawest);
    font-size: 14px;
    font-style: normal;
    font-weight: 600;
    line-height: 20px; /* 142.857% */
}

.pagination-prev-wrapper {
    color: var(--PS-Primary, #4A009F);
    justify-content: flex-start;
}

.pagination-next-wrapper {
    color: var(--PS-Primary, #4A009F);
    justify-content: flex-end;
}

.pagination-pages {
    display: flex;
    align-items: flex-start;
    gap: 2px;
}

.pagination-page-item {
    display: flex;
    width: 40px;
    height: 40px;
    padding: 8px;
    justify-content: center;
    align-items: center;
    flex-shrink: 0;
    align-self: stretch;
    color: var(--PS-Primary, #4A009F);
    text-align: center;
    font-family: var(--MES-Font, Rawest);
    font-size: 14px;
    font-style: normal;
    font-weight: 600;
    line-height: 20px; /* 142.857% */
}

.pagination-page-item.active {
    color: var(--PS-Secondary, #00ECAD);
}

.rate-box {
    display: flex;
    padding: 5px 10px;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    gap: 0px;
    background: #f8f8f8;
    border-radius: 6px;
    width: max-content;
}

.rate-label {
    color: #000;
    font-size: 12px;
    font-style: normal;
    font-weight: 600;
}

.rate-stars {
    width: 116px;
    height: 20px;
    display: flex;
    gap: 4px;
    position: relative;
}

.rate-stars .star {
    width: 18px;
    height: 18px;
    flex-shrink: 0;
    background-image: url('../images/star-white.webp');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
    cursor: pointer;
    transition: background-image 0.2s ease;
}

/* Podświetlenie hover + zaznaczenie poprzednich */
/* Aktywne (ocena już oddana) */
.rate-stars .star.active {
    background-image: url('../images/star-yellow.webp');
}

/* Hoverowane (podświetlenie do tej gwiazdki) */
.rate-stars .star.hovered {
    background-image: url('../images/star-yellow.webp');
}


.rate-info {
    font-size: 11px;
    color: #666;
    font-family: Rawest;
}



.related-articles-box {
    display: flex;
    flex-direction: column;

    padding: 22px;
    gap: 1rem;
    border-radius: 16px;
    border: 1px solid #E9EAEB;
    background: #FAFAFA;
    box-shadow: 0px 1px 2px 0px rgba(10, 13, 18, 0.05);
}

.related-articles-box h2 {
    color: #000;
    font-family: Rawest, sans-serif;
    font-size: 24px;
    font-style: normal;
    font-weight: 600;
    line-height: 51px;
    letter-spacing: -0.48px;
    margin: 0;
	padding: 0;
}

.related-item {
    display: flex;

    width: 100%;
    align-items: flex-start;
    gap: 20px;
}

.related-thumb {
    width: 72px;
    height: 72px;
    flex-shrink: 0;
    border-radius: 5px;
    background-size: cover;
    background-position: center;
    filter: grayscale(100%);
}

.related-content {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: flex-start;
    flex: 1 0 0;
}

.related-content a {
    color: #4A009F;
    font-family: Rawest, sans-serif;
    font-size: 16px;
    font-style: normal;
    font-weight: 600;
    line-height: 22px;
    text-decoration: none;
}

.author-box.full {
    display: flex;
    flex-direction: column;
    padding: 24px;
    background-color: #FAFAFA;
    border-radius: 5px;
	align-items: flex-start;
}

.author-box.full .author-avatar-wrapper {
    display: flex;
    align-items: center;
    gap: 12px;
}

.author-box.full .author-avatar {
    width: 40px;
    height: 40px;
    border-radius: 50%;
}

.author-box.full .author-details {
    display: flex;
    flex-direction: column;
}

.author-box.full .author-name {
    font-weight: 600;
    color: #000;
    font-size: 16px;
}

.author-box.full .publish-date {
    color: #888;
    font-size: 14px;
}


.ab-full {
  display: flex;
  gap: 0;
}


.author-box.full .author-bio {
    font-size: 16px;
    line-height: 1.6;
    color: #111;
    margin-top: 8px;
}

@media (max-width: 767px) {
	
	.share-btn {
		padding: 10px;
		font-size: 14px;
		line-height: 13px;
	}

	.share-btn img.icon {
		width: 14px;
		height: 14px;
	}
	
	s
	.dst-filter-btn {
	  font-size: 14px;
	  padding: 9px 10px;
	}

	  .news-content {
	    padding: 1rem 0;
	  }
	
	

}
